RDKit: RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet Struct Reference

`#include <SynthonSpaceHitSet.h>`

Inheritance diagram for RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet:

## Public Member Functions
| SynthonSpaceFPHitSet ()=delete
| SynthonSpaceFPHitSet (const SynthonSet &reaction, const std::vector< std::vector< size_t > > &stu, const std::vector< std::unique_ptr< ROMol > > &fragSet)
| SynthonSpaceFPHitSet (const SynthonSpaceFPHitSet &lhs)=delete
| SynthonSpaceFPHitSet (SynthonSpaceFPHitSet &&lhs)=delete
| ~SynthonSpaceFPHitSet () override=default
SynthonSpaceFPHitSet & | operator= (const SynthonSpaceFPHitSet &rhs)=delete
SynthonSpaceFPHitSet & | operator= (SynthonSpaceFPHitSet &&rhs)=delete
Public Member Functions inherited from RDKit::SynthonSpaceSearch::SynthonSpaceHitSet
| SynthonSpaceHitSet ()=delete
| SynthonSpaceHitSet (const SynthonSet &reaction, const std::vector< std::vector< size_t > > &stu, const std::vector< std::unique_ptr< ROMol > > &fragSet)
| SynthonSpaceHitSet (const SynthonSpaceHitSet &lhs)=delete
| SynthonSpaceHitSet (SynthonSpaceHitSet &&lhs)=delete
virtual | ~SynthonSpaceHitSet ()=default
SynthonSpaceHitSet & | operator= (const SynthonSpaceHitSet &rhs)=delete
SynthonSpaceHitSet & | operator= (SynthonSpaceHitSet &&rhs)=delete

## Public Attributes
std::vector< std::vector< ExplicitBitVect * > > | synthonFPs
ExplicitBitVect * | addFP
ExplicitBitVect * | subtractFP
Public Attributes inherited from RDKit::SynthonSpaceSearch::SynthonSpaceHitSet
const SynthonSet * | d_reaction {nullptr}
std::vector< std::vector< std::pair< std::string, const Synthon * > > > | synthonsToUse
size_t | numHits {0}
std::vector< const ROMol * > | frags

## Detailed Description

Definition at line 53 of file SynthonSpaceHitSet.h.

## Constructor & Destructor Documentation

## ◆ SynthonSpaceFPHitSet() [1/4]

RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::SynthonSpaceFPHitSet | ( |  | ) |
| delete

Referenced by operator=(), operator=(), SynthonSpaceFPHitSet(), and SynthonSpaceFPHitSet().

## ◆ SynthonSpaceFPHitSet() [2/4]

RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::SynthonSpaceFPHitSet | ( | const SynthonSet & | reaction,
|  | const std::vector< std::vector< size_t > > & | stu,
|  | const std::vector< std::unique_ptr< ROMol > > & | fragSet )

## ◆ SynthonSpaceFPHitSet() [3/4]

RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::SynthonSpaceFPHitSet | ( | const SynthonSpaceFPHitSet & | lhs | ) |
| delete

References SynthonSpaceFPHitSet().

## ◆ SynthonSpaceFPHitSet() [4/4]

RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::SynthonSpaceFPHitSet | ( | SynthonSpaceFPHitSet && | lhs | ) |
| delete

References SynthonSpaceFPHitSet().

## ◆ ~SynthonSpaceFPHitSet()

RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::~SynthonSpaceFPHitSet | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ operator=() [1/2]

SynthonSpaceFPHitSet & RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::operator= | ( | const SynthonSpaceFPHitSet & | rhs | ) |
| delete

References SynthonSpaceFPHitSet().

## ◆ operator=() [2/2]

SynthonSpaceFPHitSet & RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::operator= | ( | SynthonSpaceFPHitSet && | rhs | ) |
| delete

References SynthonSpaceFPHitSet().

## Member Data Documentation

## ◆ addFP

ExplicitBitVect* RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::addFP

Definition at line 66 of file SynthonSpaceHitSet.h.

## ◆ subtractFP

ExplicitBitVect* RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::subtractFP

Definition at line 67 of file SynthonSpaceHitSet.h.

## ◆ synthonFPs

std::vector<std::vector<ExplicitBitVect *> > RDKit::SynthonSpaceSearch::SynthonSpaceFPHitSet::synthonFPs

Definition at line 65 of file SynthonSpaceHitSet.h.

The documentation for this struct was generated from the following file:

- SynthonSpaceHitSet.h